tCCH {BAS} | R Documentation

## Generalized tCCH g-Prior Distribution for Coefficients in BMA Models

### Description

Creates an object representing the tCCH mixture of g-priors on coefficients for BAS.

### Usage

    tCCH(alpha = 1, beta = 2, s = 0, r = 3/2, v = 1, theta = 1)

### Arguments

`alpha` | a scalar > 0, recommended alpha=.5 (betaprime) or 1.
`beta` | a scalar > 0. The value is not updated by the data; beta should be a function of n for consistency under the null model.
`s` | a scalar, recommended s=0 a priori
`r` | r arbitrary; in the hyper-g-n prior sets r = (alpha + 2)
`v` | 0 < v
`theta` | theta > 1

### Details

Creates a structure used for `bas.glm`.

### Value

returns an object of class "prior", with the family and hyerparameters.

### Author(s)

Merlise Clyde

### See Also

`CCH`, `robust`, `hyper.g`, `hyper.g.n` `bas.glm`

Other beta priors: `CCH`, `EB.local`, `IC.prior`, `Jeffreys`, `TG`, `beta.prime`, `g.prior`, `hyper.g.n`, `hyper.g`, `intrinsic`, `robust`, `testBF.prior`

### Examples

    n <- 500
    tCCH(alpha = 1, beta = 2, s = 0, r = 1.5, v = 1, theta = 1 / n)

[Package BAS version 1.5.3 Index]